## $Id: export.py 12270 2014-12-20 16:36:18Z henrik $
##
## Copyright (C) 2014 Uli Fouquet & Henrik Bettermann
## This program is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 2 of the License, or
## (at your option) any later version.
##
## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
##
## You should have received a copy of the GNU General Public License
## along with this program; if not, write to the Free Software
## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
##
"""Exporters for skeleton products.
"""
import grok
from waeup.ikoba.utils.helpers import iface_names
from waeup.ikoba.products.export import ProductExporter
from ikobacustom.skeleton.products.interfaces import ISkeletonProduct
from ikobacustom.skeleton.interfaces import MessageFactory as _


class SkeletonProductExporter(ProductExporter):
    """Exporter for products.
    """

    fields = tuple(sorted(iface_names(ISkeletonProduct))) + (
        'users_with_local_roles',)

    #: The title under which this exporter will be displayed
    #title = _(u'Skeleton Products')
